Subject: Re: bug#26241: 25.1; Re: emacsclient in 25 branch: error opening any file

From: [email-masked]
Date: Fri, 24 Mar 2017 20:04:33 -0400

[email-masked] writes:

> You could instrument 'emacsclient' to produce a stack trace, with an
> option analogous to --debug-init. It would be useful for future bugs
> as well. "Wrong type argument" is better than nothing, but we agree
> that it's not very useful.

Could you try setting debug-on-signal to t after you get Emacs into this
state?  You should then get a backtrace in the running Emacs.